Subject: Re: [PATCH 2/2] net: macb: Add support for SiFive FU540-C000

From: Andrew Lunn <[email-masked]>
Date: Thu, 23 May 2019 16:54:17 +0200

> +static int fu540_macb_tx_set_rate(struct clk_hw *hw, unsigned long rate,
> +				  unsigned long parent_rate)
> +{
> +	rate = fu540_macb_tx_round_rate(hw, rate, &parent_rate);
> +	iowrite32(rate != 125000000, mgmt->reg);

That looks odd. Writing the result of a comparison to a register?

     Andrew